it-swarm.com.de

apt-get -f install Kein Platz mehr auf dem Gerät (Ubuntu 14.04)

Ich versuche zu rennen

Sudo apt-get -f install

Ausgabe:

Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  linux-headers-4.4.0-53 linux-headers-4.4.0-53-generic linux-headers-4.4.0-57 linux-headers-4.4.0-57-generic linux-headers-4.4.0-59 linux-headers-4.4.0-59-generic linux-headers-4.4.0-62 linux-headers-4.4.0-62-generic
  linux-headers-4.4.0-63 linux-headers-4.4.0-63-generic linux-headers-4.4.0-64 linux-headers-4.4.0-64-generic linux-headers-4.4.0-66 linux-headers-4.4.0-66-generic linux-headers-4.4.0-70 linux-headers-4.4.0-70-generic
  linux-headers-4.4.0-71 linux-headers-4.4.0-71-generic linux-headers-4.4.0-72 linux-headers-4.4.0-72-generic linux-headers-4.4.0-75 linux-headers-4.4.0-75-generic linux-headers-4.4.0-78 linux-headers-4.4.0-78-generic
  linux-headers-4.4.0-79 linux-headers-4.4.0-79-generic linux-headers-4.4.0-81 linux-headers-4.4.0-81-generic linux-headers-4.4.0-83 linux-headers-4.4.0-83-generic
Use 'Sudo apt autoremove' to remove them.
The following additional packages will be installed:
  linux-headers-4.4.0-89
The following NEW packages will be installed:
  linux-headers-4.4.0-89
0 upgraded, 1 newly installed, 0 to remove and 85 not upgraded.
6 not fully installed or removed.
Need to get 9,919 kB of archives.
After this operation, 70.6 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://eu-central-1.ec2.archive.ubuntu.com/ubuntu xenial-updates/main AMD64 linux-headers-4.4.0-89 all 4.4.0-89.112 [9,919 kB]
Fetched 9,919 kB in 0s (23.4 MB/s)
(Reading database ... 467324 files and directories currently installed.)
Preparing to unpack .../linux-headers-4.4.0-89_4.4.0-89.112_all.deb ...
Unpacking linux-headers-4.4.0-89 (4.4.0-89.112) ...
dpkg: error processing archive /var/cache/apt/archives/linux-headers-4.4.0-89_4.4.0-89.112_all.deb (--unpack):
 unable to create '/usr/src/linux-headers-4.4.0-89/Arch/frv/include/asm/switch_to.h.dpkg-new' (while processing './usr/src/linux-headers-4.4.0-89/Arch/frv/include/asm/switch_to.h'): No space left on device
No apport report written because the error message indicates a disk full error
                                                                              dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/linux-headers-4.4.0-89_4.4.0-89.112_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Die Ausgabe von dpkg -l | grep linux-image ist:

ii  linux-image-4.4.0-87-generic     4.4.0-87.110                               AMD64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
iF  linux-image-4.4.0-89-generic     4.4.0-89.112                               AMD64        Linux kernel image for version 4.4.0 on 64 bit x86 SMP
iU  linux-image-virtual              4.4.0.89.95                                AMD64        This package will always depend on the latest minimal generic kernel image.

Es scheint, als ob ich derzeit die Version .87 mit der halb konfigurierten Version .89 verwende (Status iF)

BEARBEITEN:

festplattenspeicher ist nicht das Problem, die Ausgabe von df -h ist:

Filesystem      Size  Used Avail Use% Mounted on
/dev/root       7.8G  4.9G  2.5G  67% /
devtmpfs        494M     0  494M   0% /dev
tmpfs           496M  4.0K  496M   1% /dev/shm
tmpfs           496M  6.9M  489M   2% /run
tmpfs           5.0M     0  5.0M   0% /run/lock
tmpfs           496M     0  496M   0% /sys/fs/cgroup
tmpfs           100M     0  100M   0% /run/user/1001
/dev/xvdf       7.8G  153M  7.2G   3% /database
3
johan855

Ich kann nicht sagen, warum der Fehler als Speicherplatz zurückkommt, aber ich bin heute Abend auf genau dieses Problem gestoßen und habe es behoben, indem ich einige der alten Header manuell entfernt und dann normal fortgesetzt habe.

Sudo rm -rf /usr/src/linux-headers-4.4.0-5*
Sudo rm -rf /usr/src/linux-headers-4.4.0-6*

Danach konnte ich apt wie gewohnt für alles andere verwenden.

9
Nathan V